<div class="front_page_section front_page_section_googlemap<?php
	$motorix_scheme = motorix_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $motorix_scheme ) && ! motorix_is_inherit( $motorix_scheme ) ) {
		echo ' scheme_' . esc_attr( $motorix_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( motorix_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( motorix_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$motorix_css      = '';
		$motorix_bg_image = motorix_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $motorix_bg_image ) ) {
			$motorix_css .= 'background-image: url(' . esc_url( motorix_get_attachment_url( $motorix_bg_image ) ) . ');';
		}
		if ( ! empty( $motorix_css ) ) {
			echo ' style="' . esc_attr( $motorix_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$motorix_anchor_icon = motorix_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$motorix_anchor_text = motorix_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $motorix_anchor_icon ) || ! empty( $motorix_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $motorix_anchor_icon ) ? ' icon="' . esc_attr( $motorix_anchor_icon ) . '"' : '' )
									. ( ! empty( $motorix_anchor_text ) ? ' title="' . esc_attr( $motorix_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$motorix_layout = motorix_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $motorix_layout );
		if ( motorix_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' motorix-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$motorix_css      = '';
			$motorix_bg_mask  = motorix_get_theme_option( 'front_page_googlemap_bg_mask' );
			$motorix_bg_color_type = motorix_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $motorix_bg_color_type ) {
				$motorix_bg_color = motorix_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $motorix_bg_color_type ) {
				$motorix_bg_color = motorix_get_scheme_color( 'bg_color', $motorix_scheme );
			} else {
				$motorix_bg_color = '';
			}
			if ( ! empty( $motorix_bg_color ) && $motorix_bg_mask > 0 ) {
				$motorix_css .= 'background-color: ' . esc_attr(
					1 == $motorix_bg_mask ? $motorix_bg_color : motorix_hex2rgba( $motorix_bg_color, $motorix_bg_mask )
				) . ';';
			}
			if ( ! empty( $motorix_css ) ) {
				echo ' style="' . esc_attr( $motorix_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $motorix_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$motorix_caption     = motorix_get_theme_option( 'front_page_googlemap_caption' );
			$motorix_description = motorix_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $motorix_caption ) || ! empty( $motorix_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $motorix_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $motorix_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $motorix_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $motorix_caption, 'motorix_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $motorix_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $motorix_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $motorix_description ), 'motorix_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $motorix_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$motorix_content = motorix_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $motorix_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $motorix_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $motorix_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $motorix_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $motorix_content, 'motorix_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $motorix_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $motorix_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! motorix_exists_trx_addons() ) {
						motorix_customizer_need_trx_addons_message();
					} else {
						motorix_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $motorix_layout && ( ! empty( $motorix_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
