<div class="front_page_section front_page_section_subscribe<?php
	$motorix_scheme = motorix_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $motorix_scheme ) && ! motorix_is_inherit( $motorix_scheme ) ) {
		echo ' scheme_' . esc_attr( $motorix_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( motorix_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( motorix_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$motorix_css      = '';
		$motorix_bg_image = motorix_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $motorix_bg_image ) ) {
			$motorix_css .= 'background-image: url(' . esc_url( motorix_get_attachment_url( $motorix_bg_image ) ) . ');';
		}
		if ( ! empty( $motorix_css ) ) {
			echo ' style="' . esc_attr( $motorix_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$motorix_anchor_icon = motorix_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$motorix_anchor_text = motorix_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $motorix_anchor_icon ) || ! empty( $motorix_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $motorix_anchor_icon ) ? ' icon="' . esc_attr( $motorix_anchor_icon ) . '"' : '' )
									. ( ! empty( $motorix_anchor_text ) ? ' title="' . esc_attr( $motorix_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( motorix_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' motorix-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$motorix_css      = '';
			$motorix_bg_mask  = motorix_get_theme_option( 'front_page_subscribe_bg_mask' );
			$motorix_bg_color_type = motorix_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $motorix_bg_color_type ) {
				$motorix_bg_color = motorix_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $motorix_bg_color_type ) {
				$motorix_bg_color = motorix_get_scheme_color( 'bg_color', $motorix_scheme );
			} else {
				$motorix_bg_color = '';
			}
			if ( ! empty( $motorix_bg_color ) && $motorix_bg_mask > 0 ) {
				$motorix_css .= 'background-color: ' . esc_attr(
					1 == $motorix_bg_mask ? $motorix_bg_color : motorix_hex2rgba( $motorix_bg_color, $motorix_bg_mask )
				) . ';';
			}
			if ( ! empty( $motorix_css ) ) {
				echo ' style="' . esc_attr( $motorix_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$motorix_caption = motorix_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $motorix_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $motorix_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $motorix_caption, 'motorix_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$motorix_description = motorix_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $motorix_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $motorix_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $motorix_description ), 'motorix_kses_content' ); ?></div>
				<?php
			}

			// Content
			$motorix_sc = motorix_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $motorix_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $motorix_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					motorix_show_layout( do_shortcode( $motorix_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
