<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'motorix_extra_get_css' ) ) {
	add_filter( 'motorix_filter_get_css', 'motorix_extra_get_css', 10, 2 );
	function motorix_extra_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
            .trx_addons_bg_text_char {
				{$fonts['h5_font-family']}
			}
CSS;
		}
		return $css;
	}
}