<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package MOTORIX
 * @since MOTORIX 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$motorix_copyright_scheme = motorix_get_theme_option( 'copyright_scheme' );
if ( ! empty( $motorix_copyright_scheme ) && ! motorix_is_inherit( $motorix_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $motorix_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$motorix_copyright = motorix_get_theme_option( 'copyright' );
			if ( ! empty( $motorix_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$motorix_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $motorix_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$motorix_copyright = motorix_prepare_macros( $motorix_copyright );
				// Display copyright
				echo wp_kses( nl2br( $motorix_copyright ), 'motorix_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
