<?php
/**
 * The template to display default site footer
 *
 * @package MOTORIX
 * @since MOTORIX 1.0.10
 */

$motorix_footer_id = motorix_get_custom_footer_id();
$motorix_footer_meta = get_post_meta( $motorix_footer_id, 'trx_addons_options', true );
if ( ! empty( $motorix_footer_meta['margin'] ) ) {
	motorix_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( motorix_prepare_css_value( $motorix_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $motorix_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $motorix_footer_id ) ) ); ?>
						<?php
						$motorix_footer_scheme = motorix_get_theme_option( 'footer_scheme' );
						if ( ! empty( $motorix_footer_scheme ) && ! motorix_is_inherit( $motorix_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $motorix_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'motorix_action_show_layout', $motorix_footer_id );
	?>
</footer><!-- /.footer_wrap -->
