<?php
/**
 * The template to display the background video in the header
 *
 * @package MOTORIX
 * @since MOTORIX 1.0.14
 */
$motorix_header_video = motorix_get_header_video();
$motorix_embed_video  = '';
if ( ! empty( $motorix_header_video ) && ! motorix_is_from_uploads( $motorix_header_video ) ) {
	if ( motorix_is_youtube_url( $motorix_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $motorix_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php motorix_show_layout( motorix_get_embed_video( $motorix_header_video ) ); ?></div>
		<?php
	}
}
